package modele;

/**
 * Cette classe est utilise lors de l'instanciation du Terminal. Elle ne sert
 * plus par la suite.
 */
import java.util.Observer;

/**
 * Le Terminal est le contrleur GRASP de l'application. Il reoit les messages
 * du contrleur et les achemine vers le Catalogue.
 * @author Franois Caron
 *
 */
public class Terminal {

	/**
	 * Le catalogue est la classe intressante de l'exemple. La vue veut
	 * observer ce qui se passe avec le catalogue.
	 */
	private Catalogue catalogue;
	
	/**
	 * Constructeur avec paramtre.
	 * Lors de l'instanciation du Terminal, le Terminal instancie un Catalogue.
	 * @param observateur
	 */
	public Terminal(Observer observateur) {
		catalogue = new Catalogue(observateur);
	}
	
	/**
	 * Cette mthode sert  ajouter une String dans le catalogue.
	 * @param string
	 */
	public void ajouterString(String string) {
		catalogue.ajouterString(string);
	}
	
	/**
	 * Cette mthode sert  retirer une String dans le catalogue.
	 * @param index
	 */
	public void retirerString(int index) {
		catalogue.retirerString(index);
	}
}
